---
title: llarp::consensus

---

# llarp::consensus



## Namespaces

| Name           |
| -------------- |
| **[llarp::consensus::detail](Namespaces/namespacellarp_1_1consensus_1_1detail.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| class | **[llarp::consensus::reachability_testing](Classes/classllarp_1_1consensus_1_1reachability__testing.md)**  |

## Types

|                | Name           |
| -------------- | -------------- |
| using detail::time_point_t | **[time_point_t](Namespaces/namespacellarp_1_1consensus.md#using-time-point-t)**  |
| using detail::clock_t | **[clock_t](Namespaces/namespacellarp_1_1consensus.md#using-clock-t)**  |

## Attributes

|                | Name           |
| -------------- | -------------- |
| constexpr auto | **[REACHABILITY_TESTING_TIMER_INTERVAL](Namespaces/namespacellarp_1_1consensus.md#variable-reachability-testing-timer-interval)**  |

## Types Documentation

### using time_point_t

```cpp
using llarp::consensus::time_point_t = typedef detail::time_point_t;
```


### using clock_t

```cpp
using llarp::consensus::clock_t = typedef detail::clock_t;
```




## Attributes Documentation

### variable REACHABILITY_TESTING_TIMER_INTERVAL

```cpp
constexpr auto REACHABILITY_TESTING_TIMER_INTERVAL = 50ms;
```





-------------------------------

Updated on 2023-01-09 at 16:43:38 +0000